# Renderable superclass for ZClasses
# overrides the __str__ method to return the results of a "render" DTML method
# if it exists and <a href=objname>objname</a> if it doesn't
# Copyright (C) 1999 by Lalo Martins
# Distributed under the terms of the GNU GPL, version 2 or later

class Renderable:
    def __str__ (self):
	if hasattr (self, 'render'):
	    return apply (self.render, (self,), self.__dict__)
	else:
	    return '<a href=%s>%s</a>' % (self.__name__, self.title_or_id())
